Subject: [rbridge] New shim header proposal---without F-tag field

From: riw at cisco.com (Russ White)
Date: Wed, 01 Nov 2006 11:34:49 -0500

>> 	I don't think there is consensus yet that we only need 16 bits
>> for RBridge IDs.
> 
> With 16 bits, using 1 bit to indicate unicast, we can have 32K switches.
> According to the current definition of TRILL, there is the need to run
> Djikstra on a database with 32K records, one time for the core instance
> and 32K times for the IRTs. This is clearly out of reach even for the
> most powerful CPU. 

?? Perhaps 32k trees is a stretch, but 32k nodes in a tree? I don't
think that's really a stretch on today's processors, from the scaling
work I've seen done in IS-IS.

:-)

Russ

- --
riw at cisco.com CCIE <>< Grace Alone